M25P(4)

NAME
m25p - STMicroelectronics M25P family of SPI-connected flash devices

SYNOPSIS
m25p* at spi0 slave 0

DESCRIPTION
The m25p driver provides support for STMicrolelectronics' M25P family of SPI connected NOR flash devices.

SEE ALSO
spi(4)

HISTORY
The machine-independent m25p driver was written by Garrett D'Amore for the Champaign-Urbana Community Wireless Network Project (CUWiN), and appeared in NetBSD 4.0.

BUGS
Some important bits that are vital for use as a mass storage device are still missing. Specifically, there is no API to erase the device, and there is no support for device partitioning.